Page MenuHomePhabricator

[epic] Upgrade Civi to 4.6 & integrate new reporting
Closed, ResolvedPublic0 Story Points

Description

This upgrade will get us some good stuff:

  • We will be tracking the official LTS-quality release again.
  • Necessary in order to merge some Giant Rabbit work to improve usability of Civi reports.
  • 4.2 came from an older Civi repo, 4.4+ will be based on the main repo. This will make it much easier to upstream.

Related Objects

StatusAssignedTask
OpenNone
Resolvedmepps
ResolvedNone
Resolvedawight
Resolvedawight
Declinedawight
Invalidawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
OpenNone
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
ResolvedEileenmcnaughton
Resolvedawight
Resolvedawight
ResolvedEileenmcnaughton
ResolvedNone
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
ResolvedNone
Resolvedawight
ResolvedDStrine
ResolvedEileenmcnaughton
DeclinedEileenmcnaughton
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
OpenEileenmcnaughton
ResolvedNone
Resolvedawight
Resolvedawight
ResolvedNone
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
ResolvedEjegg
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
InvalidEileenmcnaughton
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
DuplicateEileenmcnaughton
InvalidEileenmcnaughton
ResolvedJgreen
OpenNone
OpenNone
OpenNone
Resolvedawight
ResolvedEileenmcnaughton
OpenNone
ResolvedEileenmcnaughton
Resolvedawight
DeclinedNone
Declinedawight
ResolvedEileenmcnaughton
OpenEileenmcnaughton
Resolvedawight
Resolvedhashar
ResolvedXenoRyet
Resolvedawight
ResolvedEileenmcnaughton
OpenNone
OpenNone
OpenNone
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
OpenNone
DuplicateNone
ResolvedEileenmcnaughton
OpenNone
OpenNone
Resolvedawight
ResolvedEileenmcnaughton
Resolvedawight
ResolvedEileenmcnaughton
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight

Event Timeline

atgo created this task.Dec 8 2014, 9:01 PM
atgo raised the priority of this task from to Needs Triage.
atgo updated the task description. (Show Details)
atgo added a project: Fundraising-Backlog.
atgo changed Security from none to None.
atgo added a subscriber: atgo.
atgo triaged this task as Normal priority.Jan 9 2015, 8:18 PM
atgo updated the task description. (Show Details)
atgo moved this task from Triage to Closed Sprint Work Q1 1516 on the Fundraising-Backlog board.
atgo edited a custom field.Jan 27 2015, 9:07 PM

Change 196021 had a related patch set uploaded (by Awight):
Check in our customizations prior to upgrade

https://gerrit.wikimedia.org/r/196021

Change 196021 merged by Ejegg:
Check in our customizations prior to upgrade

https://gerrit.wikimedia.org/r/196021

awight updated the task description. (Show Details)May 20 2015, 9:40 PM
atgo renamed this task from Upgrade Civi to 4.4 & integrate new reporting to [epic] Upgrade Civi to 4.4 & integrate new reporting.Jun 11 2015, 10:50 PM

I'm still partial to doing an upgrade to 4.4, but please note that enough time has passed that we might be straying into LTS=4.6 territory. Here's the latest LTS release info:
http://wiki.civicrm.org/confluence/display/CRM/LTS+release+schedule

awight updated the task description. (Show Details)Aug 26 2015, 8:27 PM
awight renamed this task from [epic] Upgrade Civi to 4.4 & integrate new reporting to [epic] Upgrade Civi to 4.6 & integrate new reporting.Sep 15 2015, 5:10 PM
awight updated the task description. (Show Details)Oct 26 2015, 6:14 PM
Jgreen closed subtask Restricted Task as Resolved.Nov 2 2015, 6:22 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:48 PM